Changeset 85380 in spip-zone


Ignore:
Timestamp:
Oct 20, 2014, 12:30:10 PM (5 years ago)
Author:
kent1@…
Message:

Je ne suis pas sûr que le renommage des plugins de jquery UI en 3.1 soit une bonne idée (bis)

Bien appeler jquery tooltips et compatibilité 3.1.x

Version 1.4.2

Location:
_plugins_/tooltip
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • _plugins_/tooltip/paquet.xml

    r78273 r85380  
    22        prefix="tooltip"
    33        categorie="navigation"
    4         version="1.4.1"
     4        version="1.4.2"
    55        etat="stable"
    6         compatibilite="[1.9.1;3.0.*]"
     6        compatibilite="[1.9.1;3.1.*]"
    77        logo="icon/tooltip.png"
    88        documentation="http://contrib.spip.net/?article4437"
  • _plugins_/tooltip/plugin.xml

    r78273 r85380  
    44<icon>icon/tooltip.png</icon>
    55
    6 <version>1.4.1</version>
     6<version>1.4.2</version>
    77<etat>stable</etat>
    88<categorie>navigation</categorie>
     
    2828</pipeline>
    2929
    30 <necessite id="SPIP" version="[1.9.1;3.0.99]" />
     30<necessite id="SPIP" version="[1.9.1;3.1.99]" />
    3131</plugin>
  • _plugins_/tooltip/tooltip_pipelines.php

    r75861 r85380  
    9292        $f = chercher_filtre('info_plugin');
    9393        include_spip('plugins/installer');
    94         if(function_exists('spip_version_compare') && spip_version_compare($f('jqueryui','version'),'1.10.1','>='))
    95                 $plugins[] = "jquery.ui.tooltip";
     94        if(function_exists('spip_version_compare') && spip_version_compare($f('jqueryui','version'),'1.10.1','>=')){
     95                if(spip_version_compare($f('jqueryui','version'),'1.11.2','>='))
     96                        $plugins[] = "tooltip";
     97                else
     98                        $plugins[] = "jquery.ui.tooltip";
     99        }
    96100        return $plugins;
    97101}
Note: See TracChangeset for help on using the changeset viewer.